QDMR(1)

NAME
qdmr - Graphical tool for programming DMR radios.

SYNOPSIS

qdmr [OPTIONS] [CODEPLUG_FILE]

DESCRIPTION

qdmr is a graphical tool to program DMR radios. That is, reading, editing, generating and uploading codeplugs to these radios.

The configuration of these radios is usually stored in a highly vendor and device specific binary codeplug. qdmr stores this configuration in a human-readable and device independent format, thus allowing for sharing codeplugs across devices.

OPTIONS

CODEPLUG_FILE
    If the optional codeplug file is passed to qdmr, it gets loaded on startup. Otherwise, the application starts with an empty codeplug.

-style=STYLE
    This option allows to set a Qt style for the application. This can be used to alter the style of the widgets. So call qdmr -style=windows if you fancy.

    However, this option is of real use if you want to use a dark theme. By installing a dark Qt theme like kvantum-dark and starting qdmr by passing this theme to the style option. That is

                    qdmr -style=kvantum-dark

    You may set the Qt style for all Qt applications using the QT_STYLE_OVERRIDE environment variable.

-stylesheet=FILENAME
    This option allows for specifying a style sheet to alter the appearance of some or all widgets of qdmr.

--loglevel=LEVEL
    This option allows for specifying the log level for messages printed to stderr. This does not affect the log level of messages written to the log file.

    Must be one of debug, info, warning, error or fatal. Default is info.

LOGGING

qdmr writes a lot of debug and error messages to the log file. This can be used to inspect some issues during reading/writing the a codeplug to the device. The log file containing these messages is usually found at ~/.local/share/DM3MAT/qdmr/qdmr.log.

BUGS

This program is still under development and may contain bugs that may cause harm to the radios and may even destroy them. Hence you may use this software on your own risk. If you want to have guaranties, consider using the CPS (code-plug programming software) supplied with your radio.

Writing a single application supporting several radios of different manufacturers is a hard task. To this end, there are plenty of bugs to be expected. If you stumble across one of them, consider opening an issue at https://github.com/hmatuschek/qdmr/issues.

AUTHOR

Hannes Matuschek <dm3mat@darc.de>
    Main author